<?php

require_once ("../../config/Cado.php");

require_once("cCategoria.php");

$oCategoria = new cCategoria();





require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';



move_uploaded_file($_FILES['file_archivo']['tmp_name'],$_FILES['file_archivo']['name']);



$archivo = $_FILES['file_archivo']['name'];



$inputFileType = PHPExcel_IOFactory::identify($archivo);

$objReader = PHPExcel_IOFactory::createReader($inputFileType);

$objPHPExcel = $objReader->load($archivo);

$sheet = $objPHPExcel->getSheet(0); 

$highestRow = $sheet->getHighestRow(); 

$highestColumn = $sheet->getHighestColumn();



for ($row = 2; $row <= $highestRow; $row++){ 

		$catnom = $sheet->getCell("A".$row)->getValue();	

		

		$catnom = strtoupper($catnom);

	

		$rs=$oCategoria->comprobar_si_existe($catnom);

		$num=mysqli_num_rows($rs);

		

		

		if($num>0){

			

		}

		else

		{		

		$oCategoria->insertar($catnom,'0','#000000','1');

		}	

} 



unlink($archivo);

/* 

	$data['cat_msj']='Archivo procesado correctamente.';			

	echo json_encode($data);	 */		

?>